Subject: Request for Comments

From: Bob Jackson <[email-masked]>
Date: Tue, 3 May 94 15:15:03 EDT

In an effort to relieve Don of the burden of doing
all the editing, I have created a tool which allows
any one of us to edit the master list.

	ALPHA VERSION ALERT
	ALPHA VERSION ALERT
	ALPHA VERSION ALERT

There are two versions of the client tool:

1. 
   http://stsci.edu/astroweb-html/putastrowebfile

A Tcl script which take the input file, creates
a HTML file from it and opens your HTML form compliant
client on the file.  (No I have not tested it on Lynx.)

2.
   http://stsci.edu/astroweb-html/putastrowebfile.html

A slightly abbreviated version of the file created
by the above tool.  You edit your master file and
insert it into this template.

On the server end, I have written a script which uses
CVS and supports the following CVS actions:

	DIFF
	UPDATE
	COMMIT

The DIFF command compares your file with the one
in the CVS archive on the server.

The UPDATE command returns your version updated
by any changes

The COMMIT command puts your version into the
CVS archive and updates a accessible copy at

   http://lor.stsci.edu/astroweb/astroweb/inp_astroweb.html

We all could edit the file and Don could then extract
it and create his yp_master stuff.

There is some security:

set awpassword(adorf) {}
set awnode(adorf) eso.org
set awpassword(anton) {}
set awnode(anton) mso.anu.edu.au
set awpassword(dwells) {}
set awnode(dwells) nrao.edu
set awpassword(egret) {}
set awnode(egret) simbad.u-strasbg.fr
set awpassword(fmurtagh) {}
set awnode(fmurtagh) eso.org
set awpassword(heck) {}
set awnode(heck) cdsxb6.u-strasbg.fr
set awpassword(jackson) bob
set awnode(jackson) stsci.edu

You each have a username.

Send me a password.

The script even checks that the client is in 
the awnode domain. Are the domains correct?